Want to subscribe to topics you're interested in?
Become a Member

PHP PHP 5.6.31 is available

Discussion in 'Nginx and PHP-FPM news & discussions' started by eva2000, Jul 7, 2017.

  1. eva2000

    eva2000 Administrator Staff Member

    30,175
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,138
    Local Time:
    1:33 AM
    Nginx 1.13.x
    MariaDB 5.5
    The PHP development team announces the immediate availability of PHP 5.6.31.
    This is a security release. Several security bugs were fixed in this
    release. All PHP 5.6 users are encouraged to upgrade to this version.

    For source downloads of PHP 5.6.31 please visit our downloads page:
    PHP: Downloads

    Windows binaries can be found on PHP For Windows: Binaries and sources Releases.

    The list of changes is recorded in the ChangeLog:
    PHP: PHP 5 ChangeLog

    Continue reading...
     
    Last edited: Jul 7, 2017
  2. eva2000

    eva2000 Administrator Staff Member

    30,175
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,138
    Local Time:
    1:33 AM
    Nginx 1.13.x
    MariaDB 5.5
    Centmin Mod 123.09beta01 users can update via centmin.sh menu option 5
    Code (Text):
    --------------------------------------------------------
         Centmin Mod Menu 123.09beta01 centminmod.com   
    --------------------------------------------------------
    1).  Centmin Install
    2).  Add Nginx vhost domain
    3).  NSD setup domain name DNS
    4).  Nginx Upgrade / Downgrade
    5).  PHP Upgrade / Downgrade
    6).  XCache Re-install
    7).  APC Cache Re-install
    8).  XCache Install
    9).  APC Cache Install
    10). Memcached Server Re-install
    11). MariaDB MySQL Upgrade & Management
    12). Zend OpCache Install/Re-install
    13). Install/Reinstall Redis PHP Extension
    14). SELinux disable
    15). Install/Reinstall ImagicK PHP Extension
    16). Change SSHD Port Number
    17). Multi-thread compression: pigz,pbzip2,lbzip2...
    18). Suhosin PHP Extension install
    19). Install FFMPEG and FFMPEG PHP Extension
    20). NSD Install/Re-Install
    21). Update - Nginx + PHP-FPM + Siege
    22). Add Wordpress Nginx vhost + Cache Plugin
    23). Update Centmin Mod Code Base
    24). Exit
    --------------------------------------------------------
    Enter option [ 1 - 24 ] 5
    --------------------------------------------------------
    

    Code (Text):
    Do you want to run YUM install checks ?  [y/n]
    
    This will increase your upgrade duration time wise.
    Check the change log centminmod.com/changelog.html
    to see if any Nginx or PHP related new additions
    which require checking YUM prequisites are met.
    If no new additions made, you can skip the
    YUM install check to speed up upgrade time.
    
     [y/n]: n
         ____   _   _  ____       _   _                                _     
        |  _ \ | | | ||  _ \  _  | | | | _ __    __ _  _ __  __ _   __| |  ___
        | |_) || |_| || |_) |(_) | | | || '_ \  / _` || '__|/ _` | / _` | / _ \
        |  __/ |  _  ||  __/  _  | |_| || |_) || (_| || |  | (_| || (_| ||  __/
        |_|    |_| |_||_|    (_)  \___/ | .__/  \__, ||_|   \__,_| \__,_| \___|
                                        |_|     |___/                         
    
    PHP Upgrade - Would you like to continue? [y/n] y
    
    ----------------------------------------------------------------
    Install which version of PHP? (version i.e. 5.6.30, 7.0.18, NGDEBUG)
    PHP 7.x/7.1.x is GA Stable but still may have broken PHP extensions.
    NGDEBUG is PHP 7.2.0 dev builds minus incompatible PHP extensions
    ----------------------------------------------------------------
    Enter PHP Version number you want to upgrade/downgrade to: 5.6.31
    
     
  3. Jon Snow

    Jon Snow Active Member

    156
    25
    28
    Jun 30, 2017
    Ratings:
    +30
    Local Time:
    12:33 PM
    Nginx 1.13.4
    MariaDB 10.1.26
    Just upgraded and everything went alright.

    What's the worst someone could do if they exploit one of these security bugs?
     
    • Like Like x 1
  4. eva2000

    eva2000 Administrator Staff Member

    30,175
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,138
    Local Time:
    1:33 AM
    Nginx 1.13.x
    MariaDB 5.5
    Not a php coder myself. But from change log bug is with mbstring / Oniguruma CVE-2017-9224, CVE-2017-9226, CVE-2017-9227, CVE-2017-9228, CVE-2017-9229 Bug 1466751 – CVE-2017-9224 CVE-2017-9225 CVE-2017-9226 CVE-2017-9227 CVE-2017-9228 CVE-2017-9229 php: various flaws [fedora-all] reported as minor security issue